org.apache.hadoop.yarn.api.protocolrecords

## Class GetResourceProfileResponse

- java.lang.Object
- - org.apache.hadoop.yarn.api.protocolrecords.GetResourceProfileResponse

-     @InterfaceAudience.Public
       @InterfaceStability.Unstable
      public abstract class GetResourceProfileResponse
      extends Object

  Response class for getting the details for a particular resource profile.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetResourceProfileResponse()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object other)`
    `abstract Resource` | `getResource()` Get the resources that will be allocated if the profile was used.
    `int` | `hashCode()`
    `static GetResourceProfileResponse` | `newInstance()`
    `abstract void` | `setResource(Resource r)` Set the resources that will be allocated if the profile is used.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetResourceProfileResponse

          public GetResourceProfileResponse()

  - ### Method Detail

    - #### newInstance

          public static GetResourceProfileResponse newInstance()

    - #### getResource

          public abstract Resource getResource()

      Get the resources that will be allocated if the profile was used.
      Returns:
        the resources that will be allocated if the profile was used.

    - #### setResource

          public abstract void setResource(Resource r)

      Set the resources that will be allocated if the profile is used.
      Parameters:
        `r` - Set the resources that will be allocated if the profile is used.

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.